

// CS120math is a class that contains an ever-growing number
// of useful math functions (that is, methods that return
// a value!).  Also, this file includes examples of pretty
// good method comments!

import java.awt.*;

class CS120math   {

    // randInt(upperLimit) returns an integer in
    // range 0 to upperLimit-1, drawn uniformly at
    // at random.  Mathematically, the range is [0..upperlimit)
   	public int randInt(int upperLimit)
	{
		int r;
	    r = (int) (Math.random()*upperLimit);
	    return r;
	}

    //  intQ(f) returns true if and only if (iff) f is
    //  an integer.  E.g., intQ(3.0000) returns true
    //  while intQ(3.0001) returns false.
	public boolean intQ(double f)
	{
		/*  if( (int) f == f )
		{return true;}
		else return false;   */

		return ( (int) f == f ) ;
	}

    //  perfectSquareQ(int x) returns true iff x is a perfect square.
    //    Returns false otherwise.  I.e., x = n*n for some integer n,
    //    then x is a perfect square and this function returns true.
	public boolean perfectSquareQ(int x)
	   {
		   return intQ(Math.sqrt(x));
	   }

    public double sqrt(double x)  {return Math.sqrt(x);}

}