/*
	application that runs a panel.   (Thanks to Barry Peterson and Larry Ellerbruch of NMU.)
*/

import java.awt.Frame;
import java.awt.*;
import java.awt.event.*;
import java.awt.Panel;

public class PanelApplication implements WindowListener
	{
	public static final String TITLE = "JEFF GRAPHICS";

	public static final int PANEL_WIDTH = 1000;  // <-- put window size here
	public static final int PANEL_HEIGHT = 1000;

	private Frame frame;

	public static void main(String args[])
		{
		new PanelApplication();
		}

	private PanelApplication()
		{
		Panel panel = new Grapher();  // <-- your program name here
		panel.setSize(PANEL_WIDTH, PANEL_HEIGHT);
		panel.setLayout(null);
		frame = new Frame(TITLE);
		frame.addWindowListener(this);
		if (panel instanceof KeyListener)
			frame.addKeyListener((KeyListener)panel);
		frame.setLayout(new FlowLayout());
		frame.add(panel);
		frame.pack();
		frame.setVisible(true);
		frame.setResizable(true);
		panel.requestFocus();
		}

	public void windowActivated		(WindowEvent e) {}
	public void windowClosed		(WindowEvent e) {}
	public void windowClosing		(WindowEvent e) {frame.dispose(); System.exit(0);}
	public void windowDeactivated	(WindowEvent e) {}
	public void windowDeiconified	(WindowEvent e) {}
	public void windowIconified		(WindowEvent e) {}
	public void windowOpened		(WindowEvent e) {}

	}
